Subject: bug#7175: closed (Re: bug#7175: 23.2; Reference to "Emacs General Public License" in man page)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Oct 2010 00:36:02 +0000

Your bug report

#7175: 23.2; Reference to "Emacs General Public License" in man page

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7175: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7175
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7175: 23.2; Reference to "Emacs General Public License" in man page
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 08 Oct 2010 20:38:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Huh, that's an old one. Thanks.

Subject: 23.2; Reference to "Emacs General Public License" in man page
From: Ulrich Mueller <[email-masked]>
To: [email-masked]
Date: Fri, 8 Oct 2010 12:04:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The emacs.1 man page still mentions an "Emacs General Public License".
This looks like a relic from Emacs 18 (or earlier) times.

Patch is included below. This is against 23.2, but should apply to the
current bzr trunk too.

2010-10-08  Ulrich Mueller  <[email-masked]>

	* emacs.1: Update reference to GPL.

--- doc/man/emacs.1~
+++ doc/man/emacs.1
@@ -595,10 +595,7 @@
 .I Emacs
 is free; anyone may redistribute copies of
 .I Emacs
-to
-anyone under the terms stated in the
-.I Emacs
-General Public License,
+to anyone under the terms stated in the GNU General Public License,
 a copy of which accompanies each copy of
 .I Emacs
 and which also
@@ -610,7 +607,7 @@
 but it is never included in the scope of any license covering those
 systems.
 Such inclusion violates the terms on which distribution is permitted.
-In fact, the primary purpose of the General Public License is to
+In fact, the primary purpose of the GNU General Public License is to
 prohibit anyone from attaching any other restrictions to
 redistribution of
 .IR Emacs .